<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Device extends Model
{
    /**
     * Timestamps are disabled.
     * @var boolean
     */
    public $timestamps = false;
    /**
     * The primary key associated with the table Devices.
     * @var string
     */
    protected $primaryKey = 'device_id';

    protected $fillable = ['device_id', 'title', 'device_type', 'description', 'accessories', 'rz_username_buyer', 'serial_number', 'image_url'];

    use HasFactory;
}